version: '3.1'
services:
  mongoclient:
    image: mongoclient/mongoclient:latest
    container_name: mongoclient
    hostname: mongoclient
    networks:
      - oev-net
    ports:
      - 3300:3000

  progress-information-mongo:
    image: mongo:latest
    container_name: progress-information-mongo
    ports:
      - 27018:27017
    volumes:
      - progressinformationdb:/data/db
    restart: unless-stopped
    networks:
      - oev-net

  progress-information-service:
    image: registry.gitlab.com/sebastian.mohr/progress-information-service:latest
    container_name: progress-information-service
    ports:
      - "8081:8080"
      - "5006:5005"
    env_file:
      - ./docker-service.env
    restart: unless-stopped
    networks:
      - oev-net
    depends_on:
      - progress-information-mongo


volumes:
  progressinformationdb:

networks:
  oev-net:
    driver: bridge